## visad.data.dods
Class UnknownAttributeAdapter

    java.lang.Object
      visad.data.dods.Adapter
          visad.data.dods.AttributeAdapter
              visad.data.dods.UnknownAttributeAdapter

public class UnknownAttributeAdapter
extends AttributeAdapter

Provides support for adapting a DODS `Attribute.UNKNOWN` attribute to the VisAD data-import context.

Instances are immutable.

Method Summary
`DataImpl` `data(boolean copy)` Returns `null`.
`static UnknownAttributeAdapter` `unknownAttributeAdapter(String name, Attribute attr)` Returns an instance of this class corresponding to a name and appropriate attribute.

Methods inherited from class visad.data.dods.Adapter
`attributeTable, attributeTable, getCacheStrategy, isFlat, mathType, realType, realType, realType, realType, scalarName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### unknownAttributeAdapter

    public static UnknownAttributeAdapter unknownAttributeAdapter(String name,
                                                                  Attribute attr)

  Returns an instance of this class corresponding to a name and appropriate attribute.

  Parameters:
    `name` - The name of the attribute.
    `attr` - The attribute. Must have the appropriate type.

### data

    public DataImpl data(boolean copy)

  Returns `null`.

  Specified by:
    `data` in class `AttributeAdapter`
  Parameters:
    `copy` - If true, then the data values are copied.
  Returns:
    `null`.